summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlon Bar-Lev <alonbl@gentoo.org>2018-08-04 22:09:25 +0300
committerAlon Bar-Lev <alonbl@gentoo.org>2018-08-04 22:09:25 +0300
commitc84d2239d46898814428bb43e36bd7e6496802c7 (patch)
tree6211e58800dcff63a5d3919551991cdad56c5edc /dev-libs/pkcs11-helper
parentdev-haskell/pgp-wordlist: adopt an orphan (diff)
downloadgentoo-c84d2239d46898814428bb43e36bd7e6496802c7.tar.gz
gentoo-c84d2239d46898814428bb43e36bd7e6496802c7.tar.bz2
gentoo-c84d2239d46898814428bb43e36bd7e6496802c7.zip
dev-libs/pkcs11-helper: version bump
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Diffstat (limited to 'dev-libs/pkcs11-helper')
-rw-r--r--dev-libs/pkcs11-helper/Manifest1
-rw-r--r--dev-libs/pkcs11-helper/pkcs11-helper-1.25.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/dev-libs/pkcs11-helper/Manifest b/dev-libs/pkcs11-helper/Manifest
index 6b35f9d010e..b7549219b57 100644
--- a/dev-libs/pkcs11-helper/Manifest
+++ b/dev-libs/pkcs11-helper/Manifest
@@ -1,2 +1,3 @@
DIST pkcs11-helper-1.21.tar.bz2 417527 BLAKE2B 39b2b405ada79e0077c810b3537853051bbaf1cb4d79bedaedf04156066b573c9186ee587c869ed49053a0b471fa239447edef71184d421fb6ac2e65e3a58830 SHA512 064b04c1ece2db0757e14263955c0f7488edde5f5f4415ebda9c4370e608d7df681706ddefcdba2392e5642d00ebd4c211f15266bb39baf8da46ffaec4f3e572
DIST pkcs11-helper-1.24.tar.bz2 425627 BLAKE2B 2489af89dc4be6d056facedecf38fc42079c18ee74ca4f9621cf11b1060e2f463318d0efc263df5009eab01771c98e44a3efe7246ccbdc8982a130592327beca SHA512 28e9b53dd36e4e3fa8e30b7ad76af3bcfce1947d228f07e607a26aa6b06ee3bf1fd6f5a0ebf8ec581a16074de7b21e53f3b225e1cb1f58d4ded7bff2c50a6376
+DIST pkcs11-helper-1.25.tar.bz2 425599 BLAKE2B 6272b5ff2d3eb2ea366ec2b9a6772f93877455b3349a51d696e0450ebd6c6947ced9a2565b2d11a4407abb80348aafabc8e56eb95bce720e3d01bb339fc2f8f7 SHA512 2b425d010cd0a7d6a21b3189f65d2db93d904e1634fa4b23df9a1417521d72fda7bcd595951295bbcdec8151dc5a167fdd7c4310a16474e404f578e2d20db69d
diff --git a/dev-libs/pkcs11-helper/pkcs11-helper-1.25.ebuild b/dev-libs/pkcs11-helper/pkcs11-helper-1.25.ebuild
new file mode 100644
index 00000000000..02e44a3a603
--- /dev/null
+++ b/dev-libs/pkcs11-helper/pkcs11-helper-1.25.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit ltprune
+
+DESCRIPTION="PKCS#11 helper library"
+HOMEPAGE="https://github.com/OpenSC/pkcs11-helper"
+SRC_URI="https://github.com/OpenSC/${PN}/releases/download/${P}/${P}.tar.bz2"
+
+LICENSE="|| ( BSD GPL-2 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
+IUSE="doc gnutls libressl nss static-libs"
+
+RDEPEND="
+ !libressl? ( >=dev-libs/openssl-0.9.7:= )
+ libressl? ( dev-libs/libressl )
+ gnutls? ( >=net-libs/gnutls-1.4.4 )
+ nss? ( dev-libs/nss )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? ( >=app-doc/doxygen-1.4.7 )"
+
+src_configure() {
+ econf \
+ --disable-crypto-engine-polarssl \
+ --disable-crypto-engine-mbedtls \
+ $(use_enable doc) \
+ $(use_enable gnutls crypto-engine-gnutls) \
+ $(use_enable nss crypto-engine-nss) \
+ $(use_enable static-libs static)
+}
+
+src_install() {
+ default
+ prune_libtool_files
+}